From craig@microtron.org.uk Sun Aug 28 09:26:21 2005
Subject: USB: CP2101 New Device IDs
From: Craig Shelley <craig@microtron.org.uk>
To: greg@kroah.com
Date: Sun, 28 Aug 2005 09:51:15 +0100
Message-Id: <1125219075.12396.5.camel@teratron.lan.kilotron.etheus.net>

Three new device IDs for CP2101 USB to UART Bridge

Signed-off-by: Craig Shelley <craig@microtron.org.uk>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>


---
 drivers/usb/serial/cp2101.c |    5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

--- gregkh-2.6.orig/drivers/usb/serial/cp2101.c	2005-08-28 16:41:01.000000000 -0700
+++ gregkh-2.6/drivers/usb/serial/cp2101.c	2005-09-12 11:01:55.000000000 -0700
@@ -32,7 +32,7 @@
 /*
  * Version Information
  */
-#define DRIVER_VERSION "v0.04"
+#define DRIVER_VERSION "v0.05"
 #define DRIVER_DESC "Silicon Labs CP2101/CP2102 RS232 serial adaptor driver"
 
 /*
@@ -54,8 +54,11 @@ static void cp2101_shutdown(struct usb_s
 static int debug;
 
 static struct usb_device_id id_table [] = {
+	{ USB_DEVICE(0x0FCF, 0x1003) }, /* Dynastream ANT development board */
 	{ USB_DEVICE(0x10C4, 0xEA60) },	/* Silicon Labs factory default */
 	{ USB_DEVICE(0x10C4, 0x80CA) },	/* Degree Controls Inc */
+	{ USB_DEVICE(0x10C4, 0x80F6) }, /* Suunto sports instrument */
+	{ USB_DEVICE(0x10A6, 0xAA26) }, /* Knock-off DCU-11 cable */
 	{ USB_DEVICE(0x10AB, 0x10C5) },	/* Siemens MC60 Cable */
 	{ } /* Terminating Entry */
 };
